ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Nate Cole" <nc...@hortonworks.com>
Subject Re: Review Request 40486: Ambari 2.1.2.1 points to Incorrect Repository version [After upgraded from ambari 1.7.0]
Date Thu, 19 Nov 2015 16:11:01 GMT

-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/40486/#review107190
-----------------------------------------------------------

Ship it!



ambari-server/src/main/java/org/apache/ambari/server/upgrade/UpgradeCatalog200.java (lines
392 - 394)
<https://reviews.apache.org/r/40486/#comment166189>

    10 and 20 spaces are a bit much for os-type and repo-id.



ambari-server/src/test/java/org/apache/ambari/server/upgrade/UpgradeCatalog200Test.java (line
71)
<https://reviews.apache.org/r/40486/#comment166188>

    no '*' for imports.  Your IDE should auto-import for you, no?


- Nate Cole


On Nov. 19, 2015, 10 a.m., Dmitro Lisnichenko wrote:
> 
> -----------------------------------------------------------
> This is an automatically generated e-mail. To reply, visit:
> https://reviews.apache.org/r/40486/
> -----------------------------------------------------------
> 
> (Updated Nov. 19, 2015, 10 a.m.)
> 
> 
> Review request for Ambari, Alejandro Fernandez, Jonathan Hurley, Jayush Luniya, Nate
Cole, and Sumit Mohanty.
> 
> 
> Bugs: AMBARI-13970
>     https://issues.apache.org/jira/browse/AMBARI-13970
> 
> 
> Repository: ambari
> 
> 
> Description
> -------
> 
> Initially HDP Stack 2.2 GA was installed with Ambari 1.7.0.
> 
> HDP Repo Used:
> {noformat}
> http://public-repo-1.hortonworks.com/HDP/ubuntu12/2.x/GA/2.2.0.0
> {noformat}
> 
> But after the Ambari upgraded from 1.7.0 to Ambari 2.1.2.1 , the HDP repo point to 2.2.6
instead of 2.2.0
> 
> HDP Repo After Upgrade:
> {noformat}
> http://public-repo-1.hortonworks.com/HDP/ubuntu12/2.x/updates/2.2.6.0
> {noformat}
> 
> Sumit proposed to issue a notification for user during upgrade from 1.7.0. Initally it
was going to be a conditional message, but finally we decided to issue a message always.
> 
> 
> Diffs
> -----
> 
>   ambari-server/src/main/java/org/apache/ambari/server/upgrade/UpgradeCatalog200.java
0d7383f 
>   ambari-server/src/main/java/org/apache/ambari/server/upgrade/UpgradeCatalog213.java
922cfda 
>   ambari-server/src/main/python/ambari_server/serverUpgrade.py f05082f 
>   ambari-server/src/test/java/org/apache/ambari/server/upgrade/UpgradeCatalog200Test.java
faf0390 
> 
> Diff: https://reviews.apache.org/r/40486/diff/
> 
> 
> Testing
> -------
> 
> mvn clean test
> 
> 
> Thanks,
> 
> Dmitro Lisnichenko
> 
>


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message